Package com.ocient.jdbc.proto

## Interface PlanProtocol.IndexOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.IndexOperator`, `PlanProtocol.IndexOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.IndexOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `containsColumns​(String key)` The columns
`String` `getColNames​(int index)` Deprecated.
`com.google.protobuf.ByteString` `getColNamesBytes​(int index)` Deprecated.
`int` `getColNamesCount()` Deprecated.
`List<String>` `getColNamesList()` Deprecated.
`String` `getColTypes​(int index)` The string representation of the type of ALL output columns
`com.google.protobuf.ByteString` `getColTypesBytes​(int index)` The string representation of the type of ALL output columns
`int` `getColTypesCount()` The string representation of the type of ALL output columns
`List<String>` `getColTypesList()` The string representation of the type of ALL output columns
`Map<String,​PlanProtocol.ColumnInfo>` `getColumns()` Deprecated.
`int` `getColumnsCount()` The columns
`Map<String,​PlanProtocol.ColumnInfo>` `getColumnsMap()` The columns
`PlanProtocol.ColumnInfo` `getColumnsOrDefault​(String key, PlanProtocol.ColumnInfo defaultValue)` The columns
`PlanProtocol.ColumnInfo` `getColumnsOrThrow​(String key)` The columns
`String` `getDb()` Database name - a table really needs db.schema.name to be uniquely referenced
`com.google.protobuf.ByteString` `getDbBytes()` Database name - a table really needs db.schema.name to be uniquely referenced
`PlanProtocol.Disjunction` `getFilters​(int index)` Filter conditions to apply via index
`int` `getFiltersCount()` Filter conditions to apply via index
`List<PlanProtocol.Disjunction>` `getFiltersList()` Filter conditions to apply via index
`PlanProtocol.DisjunctionOrBuilder` `getFiltersOrBuilder​(int index)` Filter conditions to apply via index
`List<? extends PlanProtocol.DisjunctionOrBuilder>` `getFiltersOrBuilderList()` Filter conditions to apply via index
`String` `getIndexName()` Which index?
`com.google.protobuf.ByteString` `getIndexNameBytes()` Which index?
`String` `getIndexUuid()` `string index_uuid = 10;`
`com.google.protobuf.ByteString` `getIndexUuidBytes()` `string index_uuid = 10;`
`long` `getLimitVal()` If there is no limit being applied, this is set to -1
`String` `getSchema()` The table schema
`com.google.protobuf.ByteString` `getSchemaBytes()` The table schema
`boolean` `getSegmentDistinct()` whether or not this is a segment distinct index
`String` `getStorageSpaceUuid()` `string storage_space_uuid = 9;`
`com.google.protobuf.ByteString` `getStorageSpaceUuidBytes()` `string storage_space_uuid = 9;`
`String` `getTableName()` The table name
`com.google.protobuf.ByteString` `getTableNameBytes()` The table name
`String` `getTableUuid()` `string table_uuid = 8;`
`com.google.protobuf.ByteString` `getTableUuidBytes()` `string table_uuid = 8;`
`PlanProtocol.Disjunction` `getTimeFilters​(int index)` Time filter disjunctions
`int` `getTimeFiltersCount()` Time filter disjunctions
`List<PlanProtocol.Disjunction>` `getTimeFiltersList()` Time filter disjunctions
`PlanProtocol.DisjunctionOrBuilder` `getTimeFiltersOrBuilder​(int index)` Time filter disjunctions
`List<? extends PlanProtocol.DisjunctionOrBuilder>` `getTimeFiltersOrBuilderList()` Time filter disjunctions

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getSchema

    String getSchema()

    The table schema

`string schema = 1;`

Returns:
  The schema.

#### getSchemaBytes

    com.google.protobuf.ByteString getSchemaBytes()

    The table schema

`string schema = 1;`

Returns:
  The bytes for schema.

#### getTableName

    String getTableName()

    The table name

`string tableName = 2;`

Returns:
  The tableName.

#### getTableNameBytes

    com.google.protobuf.ByteString getTableNameBytes()

    The table name

`string tableName = 2;`

Returns:
  The bytes for tableName.

#### getIndexName

    String getIndexName()

    Which index?

`string indexName = 3;`

Returns:
  The indexName.

#### getIndexNameBytes

    com.google.protobuf.ByteString getIndexNameBytes()

    Which index?

`string indexName = 3;`

Returns:
  The bytes for indexName.

#### getColNamesList

    @Deprecated
    List<String> getColNamesList()

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Returns:
  A list containing the colNames.

#### getColNamesCount

    @Deprecated
    int getColNamesCount()

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Returns:
  The count of colNames.

#### getColNames

    @Deprecated
    String getColNames​(int index)

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Parameters:
  `index` - The index of the element to return.
Returns:
  The colNames at the given index.

#### getColNamesBytes

    @Deprecated
    com.google.protobuf.ByteString getColNamesBytes​(int index)

Deprecated.

    Which columns need to be fetched?

`repeated string colNames = 4 [deprecated = true];`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the colNames at the given index.

#### getFiltersList

    List<PlanProtocol.Disjunction> getFiltersList()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### getFilters

    PlanProtocol.Disjunction getFilters​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### getFiltersCount

    int getFiltersCount()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### getFiltersOrBuilderList

    List<? extends PlanProtocol.DisjunctionOrBuilder> getFiltersOrBuilderList()

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### getFiltersOrBuilder

    PlanProtocol.DisjunctionOrBuilder getFiltersOrBuilder​(int index)

    Filter conditions to apply via index

`repeated .xg.db.sqlPlans.Disjunction filters = 5;`

#### getLimitVal

    long getLimitVal()

    If there is no limit being applied, this is set to -1

`int64 limitVal = 6;`

Returns:
  The limitVal.

#### getDb

    String getDb()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 7;`

Returns:
  The db.

#### getDbBytes

    com.google.protobuf.ByteString getDbBytes()

    Database name - a table really needs db.schema.name to be uniquely referenced

`string db = 7;`

Returns:
  The bytes for db.

#### getTableUuid

    String getTableUuid()

`string table_uuid = 8;`

Returns:
  The tableUuid.

#### getTableUuidBytes

    com.google.protobuf.ByteString getTableUuidBytes()

`string table_uuid = 8;`

Returns:
  The bytes for tableUuid.

#### getStorageSpaceUuid

    String getStorageSpaceUuid()

`string storage_space_uuid = 9;`

Returns:
  The storageSpaceUuid.

#### getStorageSpaceUuidBytes

    com.google.protobuf.ByteString getStorageSpaceUuidBytes()

`string storage_space_uuid = 9;`

Returns:
  The bytes for storageSpaceUuid.

#### getIndexUuid

    String getIndexUuid()

`string index_uuid = 10;`

Returns:
  The indexUuid.

#### getIndexUuidBytes

    com.google.protobuf.ByteString getIndexUuidBytes()

`string index_uuid = 10;`

Returns:
  The bytes for indexUuid.

#### getTimeFiltersList

    List<PlanProtocol.Disjunction> getTimeFiltersList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

#### getTimeFilters

    PlanProtocol.Disjunction getTimeFilters​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

#### getTimeFiltersCount

    int getTimeFiltersCount()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

#### getTimeFiltersOrBuilderList

    List<? extends PlanProtocol.DisjunctionOrBuilder> getTimeFiltersOrBuilderList()

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

#### getTimeFiltersOrBuilder

    PlanProtocol.DisjunctionOrBuilder getTimeFiltersOrBuilder​(int index)

    Time filter disjunctions

`repeated .xg.db.sqlPlans.Disjunction time_filters = 11;`

#### getSegmentDistinct

    boolean getSegmentDistinct()

    whether or not this is a segment distinct index

`bool segmentDistinct = 12;`

Returns:
  The segmentDistinct.

#### getColTypesList

    List<String> getColTypesList()

    The string representation of the type of ALL output columns

`repeated string colTypes = 13;`

Returns:
  A list containing the colTypes.

#### getColTypesCount

    int getColTypesCount()

    The string representation of the type of ALL output columns

`repeated string colTypes = 13;`

Returns:
  The count of colTypes.

#### getColTypes

    String getColTypes​(int index)

    The string representation of the type of ALL output columns

`repeated string colTypes = 13;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The colTypes at the given index.

#### getColTypesBytes

    com.google.protobuf.ByteString getColTypesBytes​(int index)

    The string representation of the type of ALL output columns

`repeated string colTypes = 13;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the colTypes at the given index.

#### getColumnsCount

    int getColumnsCount()

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 14;`

#### containsColumns

    boolean containsColumns​(String key)

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 14;`

#### getColumns

    @Deprecated
    Map<String,​PlanProtocol.ColumnInfo> getColumns()

Deprecated.
Use `getColumnsMap()` instead.

#### getColumnsMap

    Map<String,​PlanProtocol.ColumnInfo> getColumnsMap()

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 14;`

#### getColumnsOrDefault

    PlanProtocol.ColumnInfo getColumnsOrDefault​(String key,
                                                PlanProtocol.ColumnInfo defaultValue)

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 14;`

#### getColumnsOrThrow

    PlanProtocol.ColumnInfo getColumnsOrThrow​(String key)

     The columns

`map<string, .xg.db.sqlPlans.ColumnInfo> columns = 14;`